package betterwithmods.common.registry;

import betterwithmods.common.BWMBlocks;
import net.minecraft.block.state.IBlockState;
import net.minecraft.init.Blocks;

import java.util.HashSet;
import java.util.Set;

/**
 * Created by primetoxinz on 6/6/17.
 */
public class PulleyStructureManager {

    public static Set<IBlockState> PULLEY_BLOCKS = new HashSet<>();

    static {
        registerPulleyBlock(BWMBlocks.PLATFORM.func_176223_P());
        registerPulleyBlock(BWMBlocks.IRON_WALL.func_176223_P());
        registerPulleyBlock(Blocks.field_150484_ah.func_176223_P());
    }
    public static void registerPulleyBlock(IBlockState state) {
        PULLEY_BLOCKS.add(state);
    }

    public static boolean isPulleyBlock(IBlockState state) {
        return PULLEY_BLOCKS.contains(state);
    }

    public static void removePulleyBlock(IBlockState state) {
        PULLEY_BLOCKS.remove(state);
    }
}
